summaryrefslogtreecommitdiffstats
path: root/retiolum
diff options
context:
space:
mode:
Diffstat (limited to 'retiolum')
-rwxr-xr-xretiolum/scripts/tinc_setup/new_install.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/retiolum/scripts/tinc_setup/new_install.sh b/retiolum/scripts/tinc_setup/new_install.sh
index e2049a4b..a52d1edc 100755
--- a/retiolum/scripts/tinc_setup/new_install.sh
+++ b/retiolum/scripts/tinc_setup/new_install.sh
@@ -111,6 +111,8 @@ find_os()
OS='android'
elif test -e /etc/openwrt_release; then
OS='openwrt'
+ elif uname -s | grep -qi 'darwin'; then
+ OS='osx'
else
echo "Cannot determine your operating system, falling back to Linux"
OS='linux'
@@ -170,8 +172,11 @@ if [ $OS = 'android' ]; then
mount -o remount,rw /system
DEV="/dev/tun"
fi
+#elif [ $OS = 'osx' ]; then
+# echo 'this is not implemented'
+# exit 1
else
- if ! type tincd >/dev/null; then
+ if ! exists tincd >/dev/null; then
echo "Please install tinc"
exit 1
else